Get All Permissions
https://app.fossa.com/api/roles/all-permissionsGet all available permissions that can be assigned to custom roles
Responses
200OKArray of:
resourceTypestringResource type for the permission
actionstringAction for the permission
scopesstring[]Valid scopes for this permission
groupstringPermission group for UI organization
descriptionstringHuman-readable description of the permission
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/roles/all-permissionscurl --request GET \ --url 'https://app.fossa.com/api/roles/all-permissions' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.